Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.security
Class PublicCertCredential

    java.lang.Object
      weblogic.security.PublicCertCredential

    public final class PublicCertCredential

extends Object

This class acts as a holder for a single public certificate.

Constructor Summary
`PublicCertCredential(Certificate certificate)` Creates a PublicCertCredential object from the specified public certificate.

Method Summary
`void` | `dispose()` Frees all resources associated with this instance of the public certificate credential.
`protected void` | `finalize()` Disposes of this certificate.
`Certificate` | `getCertificate()` The public certificate.
`boolean` | `isDisposed()` Specifies whether this instance is disposed.
`String` | `toString()` A string representation of this object.

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PublicCertCredential

    public PublicCertCredential(Certificate certificate)

  Creates a PublicCertCredential object from the specified public certificate.

  Parameters:
    `certificate` - The public certificate

Method Detail

### getCertificate

    public Certificate getCertificate()

  The public certificate. Returns null if this instance has been disposed via the dispose() method.

  Returns:
    The public certificate
  See Also:
    `PublicCertCredential.dispose()`

### dispose

    public void dispose()

  Frees all resources associated with this instance of the public certificate credential.

### isDisposed

    public boolean isDisposed()

  Specifies whether this instance is disposed.

  Returns:
    `true` if the credential is already disposed
  See Also:
    `PublicCertCredential.dispose()`

### finalize

    protected void finalize()

  Disposes of this certificate.

  Overrides:
    `finalize` in class `Object`
  See Also:
    `PublicCertCredential.dispose()`

### toString

    public String toString()

  A string representation of this object.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of the credential

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD